Bug 197730 - unaligned access error messages in user commands
Summary: unaligned access error messages in user commands
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2   
(Show other bugs)
Version: 4.0
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 181411
TreeView+ depends on / blocked
 
Reported: 2006-07-05 20:31 UTC by Alasdair Kergon
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHBA-2006-0504
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 21:51:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0504 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2006-08-10 04:00:00 UTC

Description Alasdair Kergon 2006-07-05 20:31:49 UTC
[Originally raised as bug 194626 but lost during crash]

Date: Fri, 9 Jun 2006 11:39:32 -0400

Description of problem:
                                                                               
                                                                 
User land lvm commands are causing unaligned access error messages on ia64s,
looks to be caused by:
                                                                               
                                                                 
cluster_locking.c:259
259                     rarray[i].status = *(int *) inptr;
                                                                               
                                                                 
                                                                               
                                                                 
Version-Release number of selected component (if applicable):
lvm2-cluster-debuginfo-2.02.06-1.0.RHEL4
lvm2-cluster-2.02.06-1.0.RHEL4
lvm2-2.02.06-3.0.RHEL4
                                                                               
                                                                 
                                                                               
                                                                 
How reproducible:
Every time.
                                                                               
                                                                 
                                                                               
                                                                 
Steps to Reproduce:
1. Run vgs | pvs | lvs | ...
                                                                               
                                                                 
Actual results:
[root@link-14 ~]# lvs
lvs(9612): unaligned access to 0x600000000004a7a9, ip=0x2000000003609e60
lvs(9612): unaligned access to 0x600000000004a919, ip=0x2000000003609e60
  LV         VG        Attr   LSize   Origin Snap%  Move Log Copy%
  link_ia640 link_ia64 -wi-ao 181.63G
  link_ia641 link_ia64 -wi-ao 181.63G
  link_ia642 link_ia64 -wi-ao 181.63G
                                                                               
                                                                 
                                                                               
                                                                 
                                                                               
                                                                 
Additional info:
[root@link-14 ~]# prctl --unaligned=signal gdb pvs
GNU gdb Red Hat Linux (6.3.0.0-1.130.EL4rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "ia64-redhat-linux-gnu"...
(no debugging symbols found)
Using host libthread_db library "/lib/tls/libthread_db.so.1".
                                                                               
                                                                 
(gdb) r
Starting program: /usr/sbin/pvs
Reading symbols from shared object read from target memory...(no debugging
symbols found)...done.
Loaded system supplied DSO at 0xa000000000000000
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 2305843009214507776 (LWP 9555)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
File descriptor 3 left open
File descriptor 4 left open
File descriptor 5 left open
 
Program received signal SIGBUS, Bus error.
[Switching to Thread 2305843009214507776 (LWP 9555)]
_lock_for_cluster (cmd=Variable "cmd" is not available.
) at cluster_locking.c:259
259                     rarray[i].status = *(int *) inptr;

------- Additional Comments From pcaulfie@redhat.com  2006-06-12 05:40 EST -------
rats, I thought I'd got out of that habit!
                                                                               
                                                                 
Checking in lib/locking/cluster_locking.c;
/cvs/lvm2/LVM2/lib/locking/cluster_locking.c,v  <--  cluster_locking.c
new revision: 1.13; previous revision: 1.12
done

Comment 1 Alasdair Kergon 2006-07-05 20:36:13 UTC
included in 2.02.06-4.0

Comment 7 Red Hat Bugzilla 2006-08-10 21:51:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0504.html



Note You need to log in before you can comment on or make changes to this bug.